#include <stdio.h>
#include <stdlib.h>
#include <mpi.h>

int main (int argc, char *argv[]) 
{
  int err;
  int Number_of_Processes, task, i;
  
  err = MPI_Init(&argc, &argv);
  
  MPI_Comm_size(MPI_COMM_WORLD, &Number_of_Processes);
  MPI_Comm_rank(MPI_COMM_WORLD, &task);
  
  i=0;
  if(task == 0)
    {
      i=10000;
    }
  
  printf(" >> Hola! before bcast I'm task %d of %d i=%d\n", task, Number_of_Processes,i);
  MPI_Barrier(MPI_COMM_WORLD);
  
  MPI_Bcast(&i, 1, MPI_INT, 0, MPI_COMM_WORLD);

  printf("Hola! after bcast I'm task %d of %d i=%d\n", task, Number_of_Processes,i);
  
  err = MPI_Finalize();

  return 0;
}
